package com.ruoyi.project.system.service.impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.system.mapper.SysMessageMapper;
import com.ruoyi.project.system.domain.SysMessage;
import com.ruoyi.project.system.service.ISysMessageService;

/**
 * 系统消息Service业务层处理
 *
 * @author ruoyi
 * @date 2022-05-26
 */
@Service("sysMessageService")
public class SysMessageServiceImpl implements ISysMessageService
{
    @Autowired
    private SysMessageMapper sysMessageMapper;

    /**
     * 查询系统消息
     *
     * @param id 系统消息ID
     * @return 系统消息
     */
    @Override
    public SysMessage selectSysMessageById(Long id)
    {
        return sysMessageMapper.selectSysMessageById(id);
    }

    /**
     * 查询系统消息列表
     *
     * @param sysMessage 系统消息
     * @return 系统消息
     */
    @Override
    public List<SysMessage> selectSysMessageList(SysMessage sysMessage)
    {
        return sysMessageMapper.selectSysMessageList(sysMessage);
    }

    /**
     * 新增系统消息
     *
     * @param sysMessage 系统消息
     * @return 结果
     */
    @Override
    public int insertSysMessage(SysMessage sysMessage)
    {
        sysMessage.setCreateTime(DateUtils.getNowDate());
        return sysMessageMapper.insertSysMessage(sysMessage);
    }

    /**
     * 修改系统消息
     *
     * @param sysMessage 系统消息
     * @return 结果
     */
    @Override
    public int updateSysMessage(SysMessage sysMessage)
    {
        return sysMessageMapper.updateSysMessage(sysMessage);
    }

    /**
     * 批量删除系统消息
     *
     * @param ids 需要删除的系统消息ID
     * @return 结果
     */
    @Override
    public int deleteSysMessageByIds(Long[] ids)
    {
        return sysMessageMapper.deleteSysMessageByIds(ids);
    }

    /**
     * 删除系统消息信息
     *
     * @param id 系统消息ID
     * @return 结果
     */
    @Override
    public int deleteSysMessageById(Long id)
    {
        return sysMessageMapper.deleteSysMessageById(id);
    }
}
